/*
 * Class WEL_LV_HITTESTINFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_806 [] = {0xFF01,1551,805,0xFFFF};
static const EIF_TYPE_INDEX egt_2_806 [] = {0xFF01,805,0xFFFF};
static const EIF_TYPE_INDEX egt_3_806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_806 [] = {0xFF01,805,0xFFFF};
static const EIF_TYPE_INDEX egt_6_806 [] = {0xFF01,805,0xFFFF};
static const EIF_TYPE_INDEX egt_7_806 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_806 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_806 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_806 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_806 [] = {0xFF01,805,0xFFFF};
static const EIF_TYPE_INDEX egt_13_806 [] = {0xFF01,1374,0xFFFF};


static const struct desc_info desc_806[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_806), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_806), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_806), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_806), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_806), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_806), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_806), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_806), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_806), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_806), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_806), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_806), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x064B /*805*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_806), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18766, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_806), 18767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18760, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 18762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18765, 0xFFFFFFFF},
};
void Init806(void)
{
	IDSC(desc_806, 0, 805);
	IDSC(desc_806 + 1, 1, 805);
	IDSC(desc_806 + 32, 791, 805);
	IDSC(desc_806 + 34, 1359, 805);
	IDSC(desc_806 + 44, 1308, 805);
	IDSC(desc_806 + 54, 452, 805);
}


#ifdef __cplusplus
}
#endif
